Subject: Re: bug#63365: 30.0.50; GCC 13.1 breaks building Emacs with native-compilation

From: Arash Esbati <[email-masked]>
Date: Mon, 08 May 2023 16:36:57 +0200

Eli Zaretskii <[email-masked]> writes:

> These addresses are not useful anywhere but on your system.  So either
> run this command under GDB and post a human-readable source-level
> backtrace,

Thank.  I tried that, i.e.,

  $ ./autogen.sh
  $ ./configure --with-native-compilation
  $ gdb
  $ (gdb) make

But backtrace in gdb returns nothing (nothing on stack IIRC).  Do I have
to do something else?

> or at least convert the above list of addresses to a list of file
> names, function names, and line numbers as explained in the node
> "Crashing" of the Emacs user manual.

The recipe from the manual[1] doesn't work since:

  $ sed -n 's/.*\[\(.*\)]$/\1/p' lisp/emacs_backtrace.txt

prints nothing on addresses like:

  00007ff67feca12e
  00007ff67fd98be1
  00007ff67fdb9601

Am I missing something?

Another observation after reading etc/DEBUG: The build is successful if
I follow the advice there and do:

  $ ./configure --with-native-compilation  CFLAGS='-O0 -g3'

Does this make sense?

Best, Arash

Footnotes:
[1]  https://www.gnu.org/software/emacs/manual/html_node/emacs/Crashing.html